# Uses of Interface
org.eclipse.jface.text.IDocumentInformationMapping

Packages that use IDocumentInformationMapping
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.projection
This package provides an implementation of projection documents.

## Uses of IDocumentInformationMapping in org.eclipse.jface.text

Fields in org.eclipse.jface.text declared as IDocumentInformationMapping
Modifier and Type
Field
Description
`protected IDocumentInformationMapping`
TextViewer.`fInformationMapping`
The mapping between model and visible document.
Methods in org.eclipse.jface.text that return IDocumentInformationMapping
Modifier and Type
Method
Description
`IDocumentInformationMapping`
ISlaveDocumentManager.`createMasterSlaveMapping(IDocument slave)`
Creates a new document information mapping between the given slave document and its master document.

## Uses of IDocumentInformationMapping in org.eclipse.jface.text.projection

Classes in org.eclipse.jface.text.projection that implement IDocumentInformationMapping
Modifier and Type
Class
Description
`class`
`ProjectionMapping`
Internal class.
Methods in org.eclipse.jface.text.projection that return IDocumentInformationMapping
Modifier and Type
Method
Description
`IDocumentInformationMapping`
ProjectionDocumentManager.`createMasterSlaveMapping(IDocument slave)`
`IDocumentInformationMapping`
ProjectionDocument.`getDocumentInformationMapping()`
Returns the projection mapping used by this document.